import jaggl.OpenGL;

public class Class275_Sub3 extends Class275 implements Interface3 {

   int anInt8199;
   int anInt8200;
   int anInt8201;


   public void method227() {
      super.method228();
   }

   public void method228() {
      super.method228();
   }

   public void method224(Class353 var1) {
      super.method224(var1);
   }

   public void method10() {
      super.method10();
   }

   Class275_Sub3(Class545_Sub2_Sub2 var1, Class98 var2, int var3, int var4, int var5, boolean var6, byte[] var7) {
      super(var1, '\u806f', var2, Class91.aClass91_897, var3 * var4 * var5, var6);
      this.anInt8199 = var3;
      this.anInt8200 = var4;
      this.anInt8201 = var5;
      this.aClass545_Sub2_Sub2_3197.method15051(this);
      OpenGL.glPixelStorei(3317, 1);
      OpenGL.glTexImage3Dub(this.anInt3194, 0, Class545_Sub2_Sub2.method15914(this.aClass98_3195, this.aClass91_3196), this.anInt8199, this.anInt8200, this.anInt8201, 0, Class545_Sub2_Sub2.method15913(this.aClass98_3195), 5121, var7, 0);
      OpenGL.glPixelStorei(3317, 4);
      if(var6) {
         this.method209();
      }

   }

   public void method225(Class353 var1) {
      super.method224(var1);
   }

   public void method9() {
      super.method10();
   }

   public void method226() {
      super.method228();
   }

   public void method8() {
      super.method10();
   }
}
